/* vi: set sw=4 ts=4: */
/*
 * Copyright (C) 2001 Christian Hohnstaedt.
 *
 *  All rights reserved.
 *
 *
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions are met:
 *
 *  - Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *  - Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *  - Neither the name of the author nor the names of its contributors may be 
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 * This program links to software with different licenses from:
 *
 *	http://www.openssl.org which includes cryptographic software
 * 	written by Eric Young (eay@cryptsoft.com)"
 *
 *	http://www.sleepycat.com
 *
 *	http://www.trolltech.com
 * 
 *
 *
 * http://www.hohnstaedt.de/xca
 * email: christian@hohnstaedt.de
 *
 * $Id: load_obj.h,v 1.4 2003/11/30 15:42:09 chris2511 Exp $
 *
 */                           


#ifndef LOAD_OBJ_H
#define LOAD_OBJ_H

#include <qstringlist.h>

class pki_base;

class load_base
{
	public:
		QStringList filter;
		QString caption;
		virtual pki_base * loadItem(QString s);
		load_base();
		virtual ~load_base();
};		

class load_key: public load_base
{
	public:
		load_key();
		pki_base * loadItem(QString s);
};		

class load_req: public load_base
{
	public:
		load_req();
		pki_base * loadItem(QString s);
};		

class load_cert: public load_base
{
	public:
		load_cert();
		pki_base * loadItem(QString s);
};		

class load_pkcs7: public load_base
{
	public:
		load_pkcs7();
		pki_base * loadItem(QString s);
};		

class load_pkcs12: public load_base
{
	public:
		load_pkcs12();
		pki_base * loadItem(QString s);
};		

class load_temp: public load_base
{
	public:
		load_temp();
		pki_base * loadItem(QString s);
};		

class load_crl: public load_base
{
	public:
		load_crl();
		pki_base * loadItem(QString s);
};		

class load_db: public load_base
{
	public:
		load_db();
};		

#endif
