/*
 * Copyright (C) 2001 Christian Hohnstaedt.
 *
 *  All rights reserved.
 *
 *
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions are met:
 *
 *  - Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *  - Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *  - Neither the name of the author nor the names of its contributors may be 
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 * This program links to software with different licenses from:
 *
 *	http://www.openssl.org which includes cryptographic software
 * 	written by Eric Young (eay@cryptsoft.com)"
 *
 *	http://www.sleepycat.com
 *
 *	http://www.trolltech.com
 * 
 *
 *
 * http://www.hohnstaedt.de/xca
 * email: christian@hohnstaedt.de
 *
 * $Id: ExportTinyCA.cpp,v 1.2 2003/06/23 15:49:09 chris2511 Exp $
 *
 */                           


#include "ExportTinyCA.h"

#include <qfiledialog.h>
#include <qlineedit.h>
#include "lib/base.h"

ExportTinyCA::ExportTinyCA(const QString tmpdir, const QString tcadir,
	QWidget *parent, const char *name )
	:ExportTinyCA_UI(parent,name,true,0)
{
	tempdir->setText(tmpdir);
	tinycadir->setText(tcadir);
	setCaption(tr(XCA_TITLE));
}
	
void ExportTinyCA::chooseTempDir()
{
	QString s = "";
	QFileDialog *dlg = new QFileDialog(this,0,true);
	dlg->setCaption(tr("TinyCA Template directory"));
	dlg->setMode( QFileDialog::DirectoryOnly );
	dlg->setSelection( tempdir->text() );
	if (dlg->exec())
		s = dlg->selectedFile();
	if (! s.isEmpty()) {
		QDir::convertSeparators(s);
		tempdir->setText(s);
	}
	delete dlg;
}

void ExportTinyCA::chooseTinyCaDir()
{
	QString s = "";
	QFileDialog *dlg = new QFileDialog(this,0,true);
	dlg->setCaption(tr("TinyCA Directory "));
	dlg->setMode( QFileDialog::DirectoryOnly );
	dlg->setSelection( tinycadir->text() );
	if (dlg->exec())
		s = dlg->selectedFile();
	if (! s.isEmpty()) {
		QDir::convertSeparators(s);
		tinycadir->setText(s);
	}
	delete dlg;
}
